JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ConcertinaPanel::LookAndFeelMethods Struct Referenceabstract
juce_gui_basics » layout

This abstract base class is implemented by LookAndFeel classes. More...

`#include <juce_ConcertinaPanel.h>`

Inheritance diagram for ConcertinaPanel::LookAndFeelMethods:

## Public Member Functions
virtual | ~LookAndFeelMethods ()=default
virtual void | drawConcertinaPanelHeader (Graphics &, const Rectangle< int > &area, bool isMouseOver, bool isMouseDown, ConcertinaPanel &, Component &)=0

## Detailed Description

This abstract base class is implemented by LookAndFeel classes.

## Constructor & Destructor Documentation

## ◆ ~LookAndFeelMethods()

virtual ConcertinaPanel::LookAndFeelMethods::~LookAndFeelMethods | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ drawConcertinaPanelHeader()

virtual void ConcertinaPanel::LookAndFeelMethods::drawConcertinaPanelHeader | ( | Graphics & | ,
|  | const Rectangle< int > & | area,
|  | bool | isMouseOver,
|  | bool | isMouseDown,
|  | ConcertinaPanel & | ,
|  | Component & | )
| pure virtual

Implemented in LookAndFeel_V3, LookAndFeel_V2, and LookAndFeel_V4.

The documentation for this struct was generated from the following file:

- juce_ConcertinaPanel.h